[SRU] pike stable release update

Bug #1763320 reported by do3meli on 2018-04-12
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
Undecided
Unassigned
Pike
Undecided
Unassigned
heat (Ubuntu)
Undecided
Unassigned
Artful
Undecided
Unassigned
neutron-lbaas (Ubuntu)
Undecided
Unassigned
Artful
Undecided
Unassigned
nova (Ubuntu)
Undecided
Unassigned
Artful
Undecided
Unassigned

Bug Description

[Impact]
This release sports mostly bug-fixes and we would like to make sure all of our supported customers have access to these improvements.
The update contains the following package updates:

   * nova 16.1.2
   * heat 9.0.4
   * neutron-lbaas 11.0.3

[Test Case]
The following SRU process was followed:
https://wiki.ubuntu.com/OpenStackUpdates

In order to avoid regression of existing consumers, the OpenStack team will run their continuous integration test against the packages that are in -proposed. A successful run of all available tests will be required before the proposed packages can be let into -updates.

The OpenStack team will be in charge of attaching the output summary of the executed tests. The OpenStack team members will not mark ‘verification-done’ until this has happened.

[Regression Potential]
In order to mitigate the regression potential, the results of the
aforementioned tests are attached to this bug.

[Discussion]
In particular the fix for bug https://bugs.launchpad.net/nova/+bug/1749215 is currently not covered in the pike repository. As this is quite an annoying one for a production cluster i suggest to upgrade nova to 16.1.1

do3meli (d-info-e) on 2018-04-12
description: updated
Corey Bryant (corey.bryant) wrote :

Hi do3meli,

Thanks for reporting this. Note that we also have some new versions landing soon via https://bugs.launchpad.net/cloud-archive/+bug/1758046. That includes 16.1.0, however, so we'll get another update in soon for 16.1.0.

Thanks,
Corey

Corey Bryant (corey.bryant) wrote :

We'll get another update in soon for 16.1.1, that is.

do3meli (d-info-e) on 2018-04-26
tags: added: pike
tags: removed: pike
Lars (l4rs) wrote :

Has version 16.1.1 already been built for ubuntu 16 pike release?

summary: - [SRU] pike nova stable release update
+ [SRU] pike stable release update
Changed in nova (Ubuntu):
status: New → Invalid
Changed in cloud-archive:
status: New → Incomplete
status: Incomplete → Invalid
description: updated
Changed in neutron-lbaas (Ubuntu):
status: New → Invalid
Changed in heat (Ubuntu):
status: New → Invalid
Corey Bryant (corey.bryant) wrote :

I've uploaded these package versions to the artful unapproved queue where they are awaiting SRU team review:

https://launchpad.net/ubuntu/artful/+queue?queue_state=1&queue_text=

Hello do3meli, or anyone else affected,

Accepted heat into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/heat/1:9.0.4-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in heat (Ubuntu Artful):
status: New → Fix Committed
tags: added: verification-needed verification-needed-artful
Changed in neutron-lbaas (Ubuntu Artful):
status: New → Fix Committed
Brian Murray (brian-murray) wrote :

Hello do3meli, or anyone else affected,

Accepted neutron-lbaas into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/neutron-lbaas/2:11.0.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nova (Ubuntu Artful):
status: New → Fix Committed
Brian Murray (brian-murray) wrote :

Hello do3meli, or anyone else affected,

Accepted nova into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nova/2:16.1.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

do3meli (d-info-e) wrote :

hi brian, as we don't have an openstack environment on artful can you also propose those packages to xenial?

Corey Bryant (corey.bryant) wrote :

Hi do3meli, I have the cloud-archive covered and I'll also regression test these packages but feel free to append this bug with your test results as well.

Corey Bryant (corey.bryant) wrote :

Hello do3meli, or anyone else affected,

Accepted heat into pike-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:pike-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-pike-needed to verification-pike-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-pike-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-pike-needed
Corey Bryant (corey.bryant) wrote :

Hello do3meli, or anyone else affected,

Accepted neutron-lbaas into pike-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:pike-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-pike-needed to verification-pike-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-pike-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Corey Bryant (corey.bryant) wrote :

Hello do3meli, or anyone else affected,

Accepted nova into pike-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:pike-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-pike-needed to verification-pike-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-pike-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Corey Bryant (corey.bryant) wrote :

Regression testing has completed successfully:

==> artful-pike-proposed-default.tempest-results <==
Ran: 102 tests in 1902.2950 sec.
 - Passed: 94
 - Skipped: 8
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 948.2314 sec.

==> artful-pike-proposed-next.tempest-results <==
Ran: 102 tests in 2003.4948 sec.
 - Passed: 94
 - Skipped: 8
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 975.7076 sec.

==> xenial-pike-proposed-default.tempest-results <==
Ran: 102 tests in 1587.9939 sec.
 - Passed: 94
 - Skipped: 8
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 757.5893 sec.

==> xenial-pike-proposed-next.tempest-results <==
Ran: 102 tests in 1794.4898 sec.
 - Passed: 94
 - Skipped: 8
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 850.8763 sec.

tags: added: verification-done verification-done-artful verification-pike-done
removed: verification-needed verification-needed-artful verification-pike-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package heat - 1:9.0.4-0ubuntu1

---------------
heat (1:9.0.4-0ubuntu1) artful; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1763320).

 -- Corey Bryant <email address hidden> Tue, 01 May 2018 09:40:26 -0400

Changed in heat (Ubuntu Artful):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for heat has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron-lbaas - 2:11.0.3-0ubuntu1

---------------
neutron-lbaas (2:11.0.3-0ubuntu1) artful; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1763320).

 -- Corey Bryant <email address hidden> Tue, 01 May 2018 09:39:34 -0400

Changed in neutron-lbaas (Ubuntu Artful):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nova - 2:16.1.2-0ubuntu1

---------------
nova (2:16.1.2-0ubuntu1) artful; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1763320).
  * d/p/*: Rebased.

 -- Corey Bryant <email address hidden> Tue, 01 May 2018 09:41:19 -0400

Changed in nova (Ubuntu Artful):
status: Fix Committed → Fix Released
Corey Bryant (corey.bryant) wrote :

The verification of the Stable Release Update for heat has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Corey Bryant (corey.bryant) wrote :

This bug was fixed in the package heat - 1:9.0.4-0ubuntu1~cloud0
---------------

 heat (1:9.0.4-0ubuntu1~cloud0) xenial-pike; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 heat (1:9.0.4-0ubuntu1) artful; urgency=medium
 .
   * New stable point release for OpenStack Pike (LP: #1763320).

Corey Bryant (corey.bryant) wrote :

The verification of the Stable Release Update for neutron-lbaas has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Corey Bryant (corey.bryant) wrote :

This bug was fixed in the package neutron-lbaas - 2:11.0.3-0ubuntu1~cloud0
---------------

 neutron-lbaas (2:11.0.3-0ubuntu1~cloud0) xenial-pike; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 neutron-lbaas (2:11.0.3-0ubuntu1) artful; urgency=medium
 .
   * New stable point release for OpenStack Pike (LP: #1763320).

Corey Bryant (corey.bryant) wrote :

The verification of the Stable Release Update for nova has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Corey Bryant (corey.bryant) wrote :

This bug was fixed in the package nova - 2:16.1.2-0ubuntu1~cloud0
---------------

 nova (2:16.1.2-0ubuntu1~cloud0) xenial-pike; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 nova (2:16.1.2-0ubuntu1) artful; urgency=medium
 .
   * New stable point release for OpenStack Pike (LP: #1763320).
   * d/p/*: Rebased.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers